petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscRandomView

Views a random number generator object.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscRandomView(PetscRandom rnd,PetscViewer viewer)

Collective on PetscRandom Many br

### Input Parameters

| rnd | - The random number generator context Many br
| viewer | - an optional visualization context Many br

### Notes

The available visualization contexts include Many br

| PETSC_VIEWER_STDOUT_SELF | - standard output (default) Many br
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard Many broutput where only the first processor opens Many brthe file. All other processors send their Many brdata to the first processor to print. Many br

You can change the format the vector is printed using the Many broption PetscViewerPushFormat(). Many br

Many br

### See Also

PetscRealView(), PetscScalarView(), PetscIntView()

Level:beginner
Location:src/sys/classes/random/interface/randomc.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages